gr::dab::ofdm_ffe_all_in_one_impl Class Reference

calculates fine frequency error estimation and averages it More...

`#include <ofdm_ffe_all_in_one_impl.h>`

Inheritance diagram for gr::dab::ofdm_ffe_all_in_one_impl:
[legend]

## Public Member Functions

| ofdm_ffe_all_in_one_impl (unsigned int symbol_length, unsigned int fft_length, unsigned int num_symbols, float alpha, unsigned int sample_rate)
float | ffe_estimate ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::ofdm_ffe_all_in_one
typedef std::shared_ptr< ofdm_ffe_all_in_one > | sptr
Static Public Member Functions inherited from gr::dab::ofdm_ffe_all_in_one
static sptr | make (unsigned int symbol_length, unsigned int fft_length, unsigned int num_symbols, float alpha, unsigned int sample_rate)
| Return a shared_ptr to a new instance of dab::ofdm_ffe_all_in_one.

## Detailed Description

calculates fine frequency error estimation and averages it

Parameters

  symbol_length | number of samples in an OFDM symbol
  fft_length | number of samples in an OFDM symbol without the cyclic prefix
  num_symbols | number of symbols to use for averaging (more symbols is better, but symbols towards the end of the frame tend to have larger time offsets and worse values)
  alpha | how fast should we adapt to new FFS error values (1=immediately)
  sample_rate | sampling rate - needed to calculate the offset estimation in Hz

input: port 0: complex - actual data; port 1: byte - trigger signal indicating the start of a frame output: float fine frequency offset estimation (in radian per sample)

this is an all in one version of ffe in ofdm_sync_dab.py, because the flow graph does not allow to only calculate the estimation when its needed

## Constructor & Destructor Documentation

## ofdm_ffe_all_in_one_impl()

gr::dab::ofdm_ffe_all_in_one_impl::ofdm_ffe_all_in_one_impl | ( | unsigned int | symbol_length,
|  | unsigned int | fft_length,
|  | unsigned int | num_symbols,
|  | float | alpha,
|  | unsigned int | sample_rate )

## Member Function Documentation

## ffe_estimate()

float gr::dab::ofdm_ffe_all_in_one_impl::ffe_estimate | ( |  | ) |

inline

Returns
  fine frequency error estimate in Hz

## work()

int gr::dab::ofdm_ffe_all_in_one_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- ofdm_ffe_all_in_one_impl.h